Bug 51279 - Add setNeedsStyleRecalc for getting canvas contexts that use IOSurfaces
: Add setNeedsStyleRecalc for getting canvas contexts that use IOSurfaces
Status: RESOLVED FIXED
: WebKit
Canvas
: 528+ (Nightly build)
: Macintosh Intel Mac OS X 10.6
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-12-17 15:48 PST by
Modified: 2010-12-23 11:58 PST (History)


Attachments
Patch (6.72 KB, patch)
2010-12-17 15:54 PST, Matthew Delaney
no flags Review Patch | Details | Formatted Diff | Diff
Patch (1.50 KB, patch)
2010-12-22 11:11 PST, Matthew Delaney
no flags Review Patch | Details | Formatted Diff | Diff
Patch (9.24 KB, patch)
2010-12-22 16:39 PST, Matthew Delaney
no flags Review Patch | Details | Formatted Diff | Diff
Patch (10.41 KB, patch)
2010-12-22 18:07 PST, Matthew Delaney
simon.fraser: review+
commit-queue: commit‑queue-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-12-17 15:48:46 PST
Add setNeedsStyleRecalc for getting canvas contexts that use IOSurfaces
------- Comment #1 From 2010-12-17 15:54:41 PST -------
Created an attachment (id=76922) [details]
Patch
------- Comment #2 From 2010-12-17 15:59:36 PST -------
(From update of attachment 76922 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=76922&action=review

> WebCore/ChangeLog:9
> +        No new tests. Current canvas layout tests sufficient.

If you're fixing a bug here, that's not true.

> WebCore/platform/graphics/ImageBuffer.h:43
> -#define USE_IOSURFACE 1
> +#define WTF_USE_IOSURFACE 1

USE(IOSURFACE) is too vague when read out of context. It should be something like USE(IOSURFACE_CANVAS_BACKING_STORE) or something.

It's also rare, not not unknown, to #define a WTF macro outside of config.h
------- Comment #3 From 2010-12-22 11:11:27 PST -------
Created an attachment (id=77240) [details]
Patch
------- Comment #4 From 2010-12-22 11:21:38 PST -------
(In reply to comment #2)
> (From update of attachment 76922 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=76922&action=review
> 
> > WebCore/ChangeLog:9
> > +        No new tests. Current canvas layout tests sufficient.
> 
> If you're fixing a bug here, that's not true.

Sorry, I should have pointed it out amongst all the similarly looking find-and-replace lines of the USE(IOSurface) renaming. This new patch has just the fix and I'll put the renaming in another patch.
------- Comment #5 From 2010-12-22 14:16:54 PST -------
(From update of attachment 77240 [details])
There is certainly a behavior change here, so it should be testable.
------- Comment #6 From 2010-12-22 16:39:34 PST -------
Created an attachment (id=77275) [details]
Patch
------- Comment #7 From 2010-12-22 16:50:02 PST -------
(From update of attachment 77275 [details])
We don't tend to use interCaps for layout test files. Please rename it to accelerated-canvas-compositing.html

Also add a few words to the text file to say what is being tested.
------- Comment #8 From 2010-12-22 18:07:11 PST -------
Created an attachment (id=77288) [details]
Patch
------- Comment #9 From 2010-12-22 21:00:11 PST -------
The commit-queue encountered the following flaky tests while processing attachment 77288 [details]:

fast/history/history-subframe-with-name.html bug 51039 (author: mihaip@chromium.org)
The commit-queue is continuing to process your patch.
------- Comment #10 From 2010-12-22 21:01:22 PST -------
(From update of attachment 77288 [details])
Rejecting attachment 77288 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-3', 'land-attachment', '--force-clean', '--ignore-builders', '--non-interactive', '--parent-command=commit-queue', 77288]" exit_code: 2
Last 500 characters of output:
file
svnlook: Path 'trunk/LayoutTests/platform/mac-snowleopard/platform/mac/compositing/canvas' is not a file

    The following files contain tab characters:

        trunk/LayoutTests/platform/mac/compositing/canvas/accelerated-canvas-compositing.html

    Please use spaces instead to indent.
    If you must commit a file with tabs, use svn propset to set the "allow-tabs" property.
 at /usr/local/git/libexec/git-core/git-svn line 573


Failed to run "[u'git', u'svn', u'dcommit']" exit_code: 1

Full output: http://queues.webkit.org/results/7307122
------- Comment #11 From 2010-12-23 11:58:35 PST -------
Committed r74570: <http://trac.webkit.org/changeset/74570>